Module
Contents
Index 🔎︎

# Type Statement

Define non-UNO data structures (structs).

A struct is an ordered collection of data fields, that can be manipulated as a single item.

## Syntax:

    Type StructName

     DataField1 As TypeName1

     DataField2 As TypeName2

     (...)

    End Type

## Example:

    REM  *****  BASIC  *****

    Type customer

     Name1 As String

     City As String

    End Type

    Sub setCustomer

     Dim oCustomer as new customer

     oCustomer.Name1 = "The Document Foundation"

     oCustomer.City = "Berlin"

    End Sub

Chủ đề Liên quan

CreateObject function